Download it now!
Bug 100007 - Progress slider and progress status controls don't update during playback
Summary: Progress slider and progress status controls don't update during playback
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.0.6.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0
Keywords: bibisected, bisected, regression
: 101520 (view as bug list)
Depends on:
Blocks: Media-Playback
  Show dependency treegraph
 
Reported: 2016-05-23 11:58 UTC by baffclan
Modified: 2020-05-21 21:37 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (progress slider) (89.64 KB, image/jpeg)
2016-05-23 11:58 UTC, baffclan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description baffclan 2016-05-23 11:58:33 UTC
Created attachment 125241 [details]
Screenshot (progress slider)

Steps to Reproduce:
1. Insert Video on Writer
   Insert -> Media -> Audio or Video
2. Click a Video
3. Start a video and appear Media Playback tool bar
4. progress slider don't work

Windows 7 Pro(x64)
Version: 5.2.0.0.alpha1+
Build ID: 13a52d0a718825f82f3d4b1684bf86b812fce1f2
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-05-22_22:59:44
Locale: ja-JP (ja_JP)
Comment 1 Buovjaga 2016-05-26 16:40:13 UTC
Confirmed.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha0+
Build ID: 60041cb237ea73c2c1885dd6afd99d88780c2dfc
CPU Threads: 8; OS Version: Linux 4.5; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Built on May 26th 2016
Comment 2 Yousuf Philips (jay) (retired) 2016-07-22 12:45:08 UTC
Its broken both in the toolbar in the media player (Impress > Tools > Media Player) since 5.0.

@raal: Enjoy. :D
Comment 3 Susobhan Ghosh 2016-07-22 12:47:19 UTC
I'd like to add that the timer doesn't update and neither does the slider when the media is being played. This is irrespective of the video attached. Only updates when media is deselected and reselected, or a control is adjusted. I tested using a mp3 file, and also a x264 mp4 file.

Version: 5.3.0.0.alpha0+
Build ID: dd48972fc2b66ec2810db1a7cdf673fd5b0e9c40
CPU Threads: 8; OS Version: Linux 3.19; UI Render: default; 
Locale: en-US (en_US.UTF-8); Calc: group

and also on

Version: 5.1.4.2
Build ID: 1:5.1.4-0ubuntu1~trusty1
CPU Threads: 8; OS Version: Linux 3.19; UI Render: default; 
Locale: en-US (en_US.UTF-8)
Comment 4 raal 2016-10-02 07:39:48 UTC
This seems to have begun at the below commit.
Adding Cc: to Noel Grandin; Could you possibly take a look at this one? Thanks

author	Noel Grandin <noel@peralex.com>	2015-06-10 14:58:54 (GMT)
committer	Noel Grandin <noelgrandin@gmail.com>	2015-06-10 14:59:48 (GMT)
commit	9a5323655355a01be582a556a99e410c4064ebe4 (patch)
tree	7dac3cdaed3e3cafcecb026fd00c1e357f51f7d1
parent	c979a944c7a00a35293d1de3c32b06f90e0bfa5f (diff)
tdf#90077 fix freeze when enabling media toolbar in Impress

	git bisect log
# bad: [05d11632892a322664fb52bac90b2598b7fb7544] source sha:5616d22b57a9a5e57d545e912e029162a230829b
# good: [c1efd324c6ad448ac9edb030dc9738b9e6899e4d] source sha:ab465b90f6c6da5595393a0ba73f33a1e71a2b65
git bisect start 'origin/master' 'oldest'
# bad: [97526ab777da7e58ce283c05498262ecdd4d6f7f] source sha:4ea70f87f7a2b61eda6e5ab1f48debf6fcfadc1f
git bisect bad 97526ab777da7e58ce283c05498262ecdd4d6f7f
# bad: [2202cdaa0eae3f646f1285a0ea45934edeb26e8a] source sha:a88bf8fd10c42a15e5d6e66da656889c82b4933a
git bisect bad 2202cdaa0eae3f646f1285a0ea45934edeb26e8a
# bad: [1d0a95445c203c11beb1aa5eae844cf178ea0984] source sha:8f324aebfb94c4b2023894121b954ad4f35eb395
git bisect bad 1d0a95445c203c11beb1aa5eae844cf178ea0984
# good: [fb2523235c0a0c37d4e1f482afde48066f2c4b83] source sha:5b87ff40857147bee697a9bf420aae89e8cd9e93
git bisect good fb2523235c0a0c37d4e1f482afde48066f2c4b83
# good: [96c5e6142c03cdfdd63c936de319666d0fdcffcc] source sha:b2c8ea3a0253ce87f1b292fbb19b461a53c14912
git bisect good 96c5e6142c03cdfdd63c936de319666d0fdcffcc
# good: [5873f9d01f7cd324630121b0e318ae65fd26e597] source sha:4897f10beab678494a7c2dfdc140c424154e9f8c
git bisect good 5873f9d01f7cd324630121b0e318ae65fd26e597
# bad: [0944aa72d9048a0afbcdc5bf2e391a9503e43ece] source sha:f20c03acac4774bc99cc8f33271f12aa2a290788
git bisect bad 0944aa72d9048a0afbcdc5bf2e391a9503e43ece
# bad: [4581adcf4d51d7fa634a734239904233e94071b7] source sha:17282387d650e843e0f5a28611d91597ccd09970
git bisect bad 4581adcf4d51d7fa634a734239904233e94071b7
# bad: [31542fbc218c8dc8190b8cd7d7f4e57f42e34ed7] source sha:ef4fd9c52f16e6d242f999dd87170e6cac07230d
git bisect bad 31542fbc218c8dc8190b8cd7d7f4e57f42e34ed7
# good: [0240cd9eb6f80c7daa8457cd693921e71b407a8c] source sha:2e6ed9befe172bcbfb14d5386bf3e0f151d0d666
git bisect good 0240cd9eb6f80c7daa8457cd693921e71b407a8c
# bad: [b47514ed8b0d5d33812546b39d1a2e77c8183545] source sha:9a5323655355a01be582a556a99e410c4064ebe4
git bisect bad b47514ed8b0d5d33812546b39d1a2e77c8183545
# good: [e6a989547a0728f140b1bf7b55f0bf75af458dc6] source sha:4deaf89bbeadf0395810ab5f1213aecf2b078c8b
git bisect good e6a989547a0728f140b1bf7b55f0bf75af458dc6
# good: [6754b10bfa53a52a3ffdd48cc9e696ae4859d233] source sha:c979a944c7a00a35293d1de3c32b06f90e0bfa5f
git bisect good 6754b10bfa53a52a3ffdd48cc9e696ae4859d233
# first bad commit: [b47514ed8b0d5d33812546b39d1a2e77c8183545] source sha:9a5323655355a01be582a556a99e410c4064ebe4
Comment 5 Xisco Faulí 2016-10-03 08:24:33 UTC
*** Bug 101520 has been marked as a duplicate of this bug. ***
Comment 6 bordfeldt 2017-01-07 10:09:15 UTC
For me the same in impress on Windows 10 Pro with LO 5.2.4.2.
Comment 7 R. Bingham 2017-10-09 17:03:08 UTC
Confirming Media Player SEEK bar fails to advance as expected behavior continues.

Windows Pro x64 Creators update

LO Version: 5.4.2.2 (x64)
Build ID: 22b09f6418e8c2d508a9eaf86b2399209b0990f4
CPU threads: 8; OS: Windows 6.19; UI render: default; 
Locale: en-US (en_US); Calc: CL

OpenGL OFF per bug 112958.
Comment 8 bordfeldt 2018-02-04 14:54:00 UTC
Problem still present in impress in LO 6.0.0.3 on Windows 10 Pro. The seek control doesn't move and the time control displays always 00:00.
Comment 9 Vera Blagoveschenskaya 2018-11-08 09:02:05 UTC
Just FYI: bug is still reproduced 

Version: 6.2.0.0.alpha1+ (x64)
Build ID: 317f5f2323b8ff7948c4812faaeb0c2a3b907ce8
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-11-07_02:31:39
Locale: fi-FI (fi_FI); Calc: threaded
Comment 10 Commit Notification 2019-04-02 10:06:00 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/b2ccf5efae5261886a5aadf3f72ff095cb3b3d5b%5E%21

tdf#100007: slider and time field update during video playback

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 baffclan 2019-04-03 12:14:52 UTC
Cannot play a video on Impress.
Can play a video on writer.
However when unselect a video, closing a Media Playback tool bar.

Version: 6.3.0.0.alpha0+ (x64)
Build ID: cc9a8c13dad6f3d82a2386554bd6113b486a1752
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-04-03_00:59:49
Locale: ja-JP (ja_JP); UI-Language: en-US
Calc: threaded
Comment 12 Katarina Behrens (Inactive) 2019-04-04 10:10:01 UTC
I don't quite understand

> Cannot play a video on Impress.

Does this mean you were able to play video in Impress before my patch and you aren't after, or is this an unrelated bug?

> However when unselect a video, closing a Media Playback tool bar.

I guess this is the feature of media playback toolbar, it is context-sensitive so it appears only when audio/video object is selected
Comment 13 Buovjaga 2019-04-04 11:03:55 UTC
I am able to play the video with the latest master, but the progress slider and time display are not updating.

Version: 6.3.0.0.alpha0+ (x64)
Build ID: 9956cf0692058414ef3efdb0e8058fbb0b39f6bc
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-04-04_02:20:31
Locale: fi-FI (fi_FI); UI-Language: en-US
Calc: threaded

(In reply to Katarina Behrens (CIB) from comment #12)
> > However when unselect a video, closing a Media Playback tool bar.
> 
> I guess this is the feature of media playback toolbar, it is
> context-sensitive so it appears only when audio/video object is selected

Yes, this is true, working as intended.
Comment 14 baffclan 2019-04-04 11:29:21 UTC
(In reply to Buovjaga from comment #13)
> (In reply to Katarina Behrens (CIB) from comment #12)
> > > However when unselect a video, closing a Media Playback tool bar.
> > 
> > I guess this is the feature of media playback toolbar, it is
> > context-sensitive so it appears only when audio/video object is selected
> 
> Yes, this is true, working as intended.

Explanation was not enough.
Nothing happens when you click on the video, after Media Playback tool bar closes.
Comment 15 Buovjaga 2019-04-05 12:07:18 UTC
This info was communicated to bubli yesterday, but adding here as well:
On Windows I can repro the re-selecting problem mentioned by baffclan.
On Linux, the original problem remains.

Arch Linux 64-bit
Version: 6.3.0.0.alpha0+
Build ID: 558956dc811a1f0f07411e348f7081a467bbc3b5
CPU threads: 8; OS: Linux 5.0; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 4 April 2019
Comment 16 Katarina Behrens (Inactive) 2019-05-17 09:24:53 UTC
I'm dropping this for a while, but it is not fixed yet
Comment 17 sa 2020-05-21 21:37:13 UTC
I have same problem: The progress slider and time display are not updating during playing

Version: 6.4.3.2
Build ID: 1:6.4.3-0ubuntu0.20.04.1
CPU threads: 8; OS: Linux 5.3; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded